Skip to main content
POST
Get presigned URL for document upload

Authorizations

X-API-Key
string
header
required

Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).

Headers

authorization
string | null
X-API-Key
string | null

Body

application/json

Request schema for initiating document upload.

filename
string
required

Name of the file to upload

mime_type
string
required

MIME type of the file

file_size
integer | null

Size of the file in bytes (checked against the 100 MB limit)

custom_metadata
object | null

Optional custom metadata

Response

Successful Response

Response schema containing upload URL and document metadata.

upload_url
string
required

Signed URL for uploading the file

document_uuid
string
required

Unique identifier for the document

s3_key
string
required

Storage key the file should be uploaded to.